package org.stm.flow.service.impl;

import org.stm.flow.entity.FlowCclist;
import org.stm.flow.mapper.FlowCclistMapper;
import org.stm.flow.service.IFlowCclistService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: flow_cclist
 * @Author: jeecg-boot
 * @Date:   2025-07-02
 * @Version: V1.0
 */
@Service
public class FlowCclistServiceImpl extends ServiceImpl<FlowCclistMapper, FlowCclist> implements IFlowCclistService {
    @Override
    public void deleteflowcclistByRecEmpNo(String RecEmpNo) {
        this.baseMapper.deleteflowcclistByRecEmpNo(RecEmpNo);
        this.baseMapper.deleteflowrunlist(RecEmpNo);
        this.baseMapper.deleteflowgenerworkflow(RecEmpNo);
    }
}
